<!-- Latest compiled and minified JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
<div class="nav navbar-default navbar-fixed-top">
	<div class="container">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#example">
			<span class="sr-only">Togggle Navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			</button>
			<% if admin_signed_in? %>
        <a class="navbar-brand" href="https://beta-pos-system-miggyrodri.c9users.io/products">POS System</a>
      <% elsif cashier_signed_in? %>
  			<a class="navbar-brand" href="https://beta-pos-system-miggyrodri.c9users.io/orders">POS System</a>
  		<% else %>
  		  <a class="navbar-brand" href="/">POS System</a>
  		<% end %>
		</div> 
		<div class="collapse navbar-collapse" id="example">
			<ul class="nav navbar-nav">
			  <% if admin_signed_in? %>
				<li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Cashiers<span class="caret"></span></a>
          <ul class="dropdown-menu">
            <li><a><%= link_to "Create Cashier", new_cashier_path %></a></li>
            <li><a><%= link_to "View Cashiers", cashiers_path%></a></li>
          </ul>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Products<span class="caret"></span></a>
          <ul class="dropdown-menu">
            <li><a><%= link_to "New Product", new_product_path %></a></li>
            <li><a><%= link_to "View Products", products_path%></a></li>
          </ul>
        </li>
        <% elsif cashier_signed_in? %>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Products<span class="caret"></span></a>
          <ul class="dropdown-menu">
            <li><a><%= link_to "New Order", new_order_path %></a></li>
            <li><a><%= link_to "View Orders", orders_path%></a></li>
          </ul>
        </li>
        <% end %>
			</ul>
		    <p class="navbar-text pull-right">
            <% if admin_signed_in? %>
              Logged in as <strong><%= current_admin.email %></strong>.
              <%= link_to "Logout", destroy_admin_session_path, method: :delete, :class => 'navbar-link'  %>
            <% elsif cashier_signed_in? %>
              Logged in as <strong><%= current_cashier.email %></strong>
              <%= link_to "Logout", destroy_cashier_session_path, method: :delete, :class => 'navbar-link' %>
            <% else %>
              <%= link_to "Login", new_admin_session_path, :class => 'navbar-link'  %>
            <% end %>
        </p>
		</div>
	</div>
</div>